# $Revision: 1.9 $, $Date: 2004/05/05 21:41:48 $
Summary:	GeoTIFF library
Summary(pl):	Biblioteka GeoTIFF
Name:		libgeotiff
Version:	1.2.2
Release:	1
License:	MIT, partially Public Domain (see LICENSE)
Group:		Libraries
Source0:	ftp://ftp.remotesensing.org/pub/geotiff/libgeotiff/%{name}-%{version}.tar.gz
# Source0-md5:	6e6bb47b6283dc63b83dcb5962e0f70a
Patch0:		%{name}-shared-fix.patch
URL:		http://www.remotesensing.org/geotiff/geotiff.html
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel >= 3.6.0
BuildRequires:	proj-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library is designed to permit the extraction and parsing of the
"GeoTIFF" Key directories, as well as definition and installation of
GeoTIFF keys in new files.

%description -l pl
Ta biblioteka pozwala na odczytywanie i analizowanie znacznikw
"GeoTIFF", a take definiowanie i zapisywanie znacznikw w nowych
plikach.

%package devel
Summary:	GeoTIFF header files
Summary(pl):	Pliki nagwkowe GeoTIFF
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libtiff-devel >= 3.6.0

%description devel
Header files for GeoTIFF library.

%description devel -l pl
Pliki nagwkowe biblioteki GeoTIFF.

%package static
Summary:	GeoTIFF static library
Summary(pl):	Statyczna biblioteka GeoTIFF
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
GeoTIFF static library.

%description static -l pl
Statyczna biblioteka GeoTIFF.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README docs/*.{html,dox,txt}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_datadir}/epsg_csv

%files devel
%defattr(644,root,root,755)
%{_includedir}/*
%attr(755,root,root) %{_libdir}/lib*.so

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgeotiff.spec,v $
Revision 1.9  2004/05/05 21:41:48  qboosh
- updated to 1.2.2, strict internal deps

Revision 1.8  2004/01/20 23:28:06  qboosh
- refresh config.sub for amd64

Revision 1.7  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/07/19 10:10:52  qboosh
- up to 1.2.1

Revision 1.5  2003/05/28 12:59:29  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:49:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/01/19 01:41:38  qboosh
- 1.2.0, updated shared-fix patch, removed obsolete DESTDIR patch

Revision 1.2  2002/08/18 12:48:07  blues
license fix

Revision 1.1  2002/06/18 16:06:36  qboosh
- new
